Bug 1313649 - Can not register through firstboot in s390x
Can not register through firstboot in s390x
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: firstboot (Show other bugs)
6.8
Unspecified Unspecified
high Severity unspecified
: rc
: ---
Assigned To: Martin Kolman
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-02 01:49 EST by qianzhan
Modified: 2016-03-18 01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-18 01:51:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stuck_registration_in_firstboot.png (126.68 KB, image/png)
2016-03-02 01:49 EST, qianzhan
no flags Details
exception_when_registering_s390_to_satellite.png (56.71 KB, image/png)
2016-03-04 03:26 EST, qianzhan
no flags Details
'messages' (46.52 KB, text/plain)
2016-03-04 03:27 EST, qianzhan
no flags Details
successfully_register_through_firstboot_in_s390x.png (108.00 KB, image/png)
2016-03-18 01:52 EDT, qianzhan
no flags Details

  None (edit)
Description qianzhan 2016-03-02 01:49:15 EST
Description of problem:
Can not register through firstboot in s390x

Version-Release number of selected component (if applicable):
subscription-manager-firstboot-1.16.8-3.el6.s390x
firstboot-1.110.15-4.el6.s390x
subscription-manager: 1.16.8-3.el6
python-rhsm: 1.16.6-1.el6

How reproducible:
1/1

Steps to Reproduce:
1. Install RHEL-6.8-server-s390x-20160225.0
2. Open firstboot, and register to Satellite-6.1.0-RHEL-7-20160209.1


Actual results:
An Exception window prompts, and there is nothing after clicking the 'debug' button on this window. The registering process bar is rolling all the time. Please see attachment 'stuck_registration_in_firstboot.png'

Expected results:
The registration should succeed in firstboot.

Additional info:
Comment 1 qianzhan 2016-03-02 01:49 EST
Created attachment 1132154 [details]
stuck_registration_in_firstboot.png
Comment 3 Martin Kolman 2016-03-03 15:05:27 EST
Could you attach the system log (IIRC it should be in /var/log/messages on RHEL 6) from the system ? There could be some more information about the exception.
Comment 4 qianzhan 2016-03-04 01:23:37 EST
(In reply to Martin Kolman from comment #3)
> Could you attach the system log (IIRC it should be in /var/log/messages on
> RHEL 6) from the system ? There could be some more information about the
> exception.

I still can not provision a s390x machine all day, so I will update this info immediately.
Comment 5 qianzhan 2016-03-04 03:26 EST
Created attachment 1133106 [details]
exception_when_registering_s390_to_satellite.png
Comment 6 qianzhan 2016-03-04 03:27 EST
Created attachment 1133107 [details]
'messages'
Comment 7 qianzhan 2016-03-04 03:28:39 EST
I tried again, and exception still prompted when registering to satellite via firstboot. Please see attachments 'exception_when_registering_s390_to_satellite.png' and 'messages'.
Comment 8 qianzhan 2016-03-18 01:51:45 EDT
Verifying version:
subscription-manager: 1.16.8-5.el6
python-rhsm: 1.16.6-1.el6

Verification:
1. Install RHEL-6.8-server-s390x-20160315.0
2. Open firstboot, and register to Satellite-6.1.0-RHEL-7-20160209.1 successfully. Please see attachment 'successfully_register_through_firstboot_in_s390x.png'


Close the bug as WORKSFORME
Comment 9 qianzhan 2016-03-18 01:52 EDT
Created attachment 1137677 [details]
successfully_register_through_firstboot_in_s390x.png

Note You need to log in before you can comment on or make changes to this bug.